Get File Comments

Open in ChatGPT Open in ChatGPT to ask questions about this page
Open in Claude Open in Claude to ask questions about this page
Copy as MarkdownCopy this page as markdown to use with AI assistants
View as Markdown Open this page as markdown in a new tab

This API lists all the comments from a file.

Endpoints

OAuth Scope

WorkDrive.files.READCopied!

Request Example

cURL
cURL
Deluge
Copied!
curl --request GET \
  --url https://www.zohoapis.com/workdrive/api/v1/files/{resource_id}/comments \
  --header 'Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52'

Path Parameters

resource_idstring(Required)

The unique ID of the file.

Response Example

R007

R007

R004

F7003

F7003

A001

R008

R008

F7004

R009

R009

R004

F000

200
200
400
401
403
404
500
Copied!
  {
    "data": [
      {
        "id": "ly9zm850678101cec4b0698777ab4534a3002-2774428000000002064",
        "type": "comments",
        "attributes": {
          "commented_by": "Zylker Creation",
          "created_time": "Apr 13, 1:24 PM",
          "capabilities": {
            "can_delete_comment": true,
            "can_edit_comment": true,
            "can_replyto_comment": true,
            "can_resolve_comment": true
          },
          "commented_email_id": "zylker@zylker.com",
          "modified_email_id": "zylker@zylker.com",
          "comment_html": "Fine",
          "version": "1.0",
          "modified_time": "Apr 13, 1:24 PM",
          "children": [
            {
              "data": {
                "id": "ly9zm850678101cec4b0698777ab4534a3002-2774428000000002064",
                "type": "comments",
                "attributes": {
                  "commented_by": "Zylker Creation",
                  "created_time": "Apr 13, 1:24 PM",
                  "capabilities": {
                    "can_delete_comment": true,
                    "can_edit_comment": true,
                    "can_replyto_comment": true,
                    "can_resolve_comment": true
                  },
                  "commented_email_id": "zylker@zylker.com",
                  "modified_email_id": "zylker@zylker.com",
                  "comment_html": "Fine",
                  "version": "1.0",
                  "modified_time": "Apr 13, 1:24 PM",
                  "commented_by_zuid": 747938014,
                  "modified_by_zuid": 747938014,
                  "modified_by": "Zylker Creation",
                  "contacts_url": "https://contacts.zoho.com/file?t=user&ID=747938014&fs=thumb",
                  "resource_id": "ly9zm850678101cec4b0698777ab4534a3002",
                  "created_time_in_millis": 1618300488998,
                  "modified_time_in_millis": 1618300488998,
                  "parent_comment_id": "ly9zm850678101cec4b0698777ab4534a3002-2774428000000002063",
                  "top_version": true,
                  "resolved": false
                },
                "links": {
                  "self": "https://www.zohoapis.com/workdrive/comments/ly9zm850678101cec4b0698777ab4534a3002-2774428000000002064"
                }
              }
            }
          ],
          "commented_by_zuid": 747938014,
          "modified_by_zuid": 747938014,
          "modified_by": "Zylker Creation",
          "contacts_url": "https://contacts.zoho.com/file?t=user&ID=747938014&fs=thumb",
          "resource_id": "ly9zm850678101cec4b0698777ab4534a3002",
          "created_time_in_millis": 1618300488998,
          "modified_time_in_millis": 1618300488998,
          "top_version": true,
          "resolved": false
        },
        "links": {
          "self": "https://www.zohoapis.com/workdrive/comments/ly9zm850678101cec4b0698777ab4534a3002-2774428000000002064"
        }
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R007",
        "title": "Invalid pattern"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R004",
        "title": "Invalid resourceId"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "F7003",
        "title": "Invalid OAuth token"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "A001",
        "title": "Unauthorized access"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R008",
        "title": "Insufficient permissions"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "F7004",
        "title": "Invalid OAuth scope"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R009",
        "title": "Resource not active"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R004",
        "title": "Resource not found"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "F000",
        "title": "General exception"
      }
    ]
  }
                
Show full